<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net6.0-windows</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
        <GenerateAssemblyInfo>false</GenerateAssemblyInfo>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="GenHTTP.Core" Version="6.3.5" />
        <PackageReference Include="GenHTTP.Modules.Practices" Version="6.3.5" />
        <PackageReference Include="H.Pipes" Version="2.0.42" />
        <PackageReference Include="H.Pipes.AccessControl" Version="2.0.42" />
        <PackageReference Include="Twilio" Version="5.81.0" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\InABox.Configuration\InABox.Configuration.csproj" />
        <ProjectReference Include="..\InABox.Core\InABox.Core.csproj" />
        <ProjectReference Include="..\InABox.Database\InABox.Database.csproj" />
        <ProjectReference Include="..\InABox.IPC.Shared\InABox.IPC.Shared.csproj" />
        <ProjectReference Include="..\InABox.Logging.Shared\InABox.Logging.Shared.csproj" />
        <ProjectReference Include="..\InABox.Mailer.Exchange\InABox.Mailer.Exchange.csproj" />
        <ProjectReference Include="..\InABox.Mailer.IMAP\InABox.Mailer.IMAP.csproj" />
        <ProjectReference Include="..\InABox.Server.WebSocket\InABox.Server.WebSocket.csproj" />
        <ProjectReference Include="..\InABox.WebSocket.Shared\InABox.WebSocket.Shared.csproj" />
    </ItemGroup>

</Project>
